<?php include('casa/setup.casa.php');
	$codigo_producto = DataForms::POST('codigo');
	$codigo = $code;
	$prod_nombre = DataForms::GET('prod_nombre');

	$NombreFoto = $_FILES['txtArchivo']['name'];
	$temp = $_FILES['txtArchivo']['tmp_name'];

	if(trim($NombreFoto)==''){				
		$html="<script>history.back();</script>";	  
	   echo $html;
		exit();
	}
//Actualizar foto
$folder = 'archivos/';
$FotoNew = $codigo.substr(uniqid(),1,5);
		move_uploaded_file($temp, $folder.$FotoNew);	
		//redimensionar foto tamaño
		$thumb  = new Thumb();
		$thumb->loadImage($folder.$FotoNew); 					
		$thumb->resize(700,"width");  
      $thumb->save($folder.$FotoNew, 100);
      $thumb->resize(300,"width");  
		$thumb->save($folder.'small_'.$FotoNew, 100);

$sql = "INSERT INTO ventas_fotos(
	fotos_codigo, prod_codigo, fotos_archivo
)VALUES(
	'$codigo', '$codigo_producto', '$FotoNew'
);";	

$db = new DB();
$db->dbSQL($sql);

echo '<script>self.location="'.PATH_HOME.'imagenes/'.$codigo_producto.'&prod_nombre='.$prod_nombre.'";</script>';
?>